Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 176552 - x11-misc/navit - An open-source car navigation system with a routing engine
Summary: x11-misc/navit - An open-source car navigation system with a routing engine
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 20 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://www.navit-project.org
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
: 216302 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-04-30 11:20 UTC by KaZeR
Modified: 2018-06-23 19:14 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
navit-9999.ebuild (navit-9999.ebuild,1.68 KB, text/plain)
2007-04-30 11:21 UTC, KaZeR
Details
Updated ebuild with modular_map and sdl branches. (navit-9999.ebuild,2.54 KB, text/plain)
2007-04-30 13:44 UTC, KaZeR
Details
Updated ebuild - some cleanups (navit-9999.ebuild,2.49 KB, text/plain)
2007-05-01 08:25 UTC, KaZeR
Details
navit ebuild (navit-9999.ebuild,1.46 KB, text/plain)
2007-11-03 18:13 UTC, KaZeR
Details
navit ebuild (navit-9999.ebuild,1.46 KB, text/plain)
2007-11-04 01:39 UTC, KaZeR
Details
Navit ebuild for cvs code (navit-9999.ebuild,1.26 KB, text/plain)
2008-02-18 13:56 UTC, KaZeR
Details
Navit ebuild for 0.0.4 release (navit-0.0.4.ebuild,1.05 KB, text/plain)
2008-02-18 13:57 UTC, KaZeR
Details
navit-0.0.4.ebuild (navit-0.0.4.ebuild,869 bytes, text/plain)
2008-02-20 15:21 UTC, Hanno Böck
Details
navit ebuild (navit-9999.ebuild,1.30 KB, text/plain)
2008-05-01 11:58 UTC, Ruben Vandamme
Details
svn ebuild for navit (based on last cvs one) (navit-9999.ebuild,1.30 KB, text/plain)
2008-05-27 18:24 UTC, Dirk-Lüder Kreie
Details
a more tidy svn-ebuild (navit-9999.ebuild,1.20 KB, text/plain)
2008-05-31 18:12 UTC, M. B.
Details
Updated ebuild from sunrise. CVS is needed by autopoint to compile (navit-9999.ebuild,1.34 KB, text/plain)
2008-08-27 13:07 UTC, KaZeR
Details
New ebuild for Navit (makes clutter a use flag, makes current version compile) (navit-9999.ebuild,1.76 KB, text/plain)
2009-01-30 19:49 UTC, Rich
Details
new ebuild for navit (navit-9999.ebuild,3.04 KB, text/plain)
2009-07-18 12:55 UTC, Aelia
Details
Ebuild for live, snapshots and releases. (navit-9999.ebuild,4.13 KB, text/plain)
2009-10-15 07:28 UTC, Ralph Sennhauser (RETIRED)
Details
Navit ebuild for svn (navit-9999.ebuild,4.03 KB, text/plain)
2010-02-05 21:33 UTC, KaZeR
Details
Navit ebuild for svn (navit-9999.ebuild,4.03 KB, text/plain)
2010-06-25 08:38 UTC, Florian Knodt
Details
ebuild refreshed (navit-9999.ebuild,3.15 KB, text/plain)
2014-07-17 10:04 UTC, Yixun Lan
Details
navit-9999.ebuild (navit-9999.ebuild,2.24 KB, text/plain)
2016-04-11 17:01 UTC, Russell Knighton
Details
navit-speech-header-location.patch (navit-speech-header-location.patch,949 bytes, patch)
2016-04-11 17:02 UTC, Russell Knighton
Details | Diff
updated ebuild to reflect name change of README file (navit-9999.ebuild,2.24 KB, text/plain)
2017-09-08 18:23 UTC, ilovekiruna
Details
navit-9999.ebuild (navit-9999.ebuild,2.24 KB, text/plain)
2017-09-08 18:26 UTC, ilovekiruna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description KaZeR 2007-04-30 11:20:19 UTC
Navit is a car navigation system with routing engine.

It's modular design is capable of using vector maps of various formats for routing and rendering of the displayed map. It's even possible to use multiple maps at a time.

The GTK+ user interface is designed to work well with touch screen displays. Points of Interest of various formats are displayed on the map.

The current vehicle possition is either read from gpsd or directly from NMEA GPS sensors.

The routing engine not only calulates an optimal route to your destination, but also generates directions and even speaks to you using speechd. 

Reproducible: Always
Comment 1 KaZeR 2007-04-30 11:21:09 UTC
Created attachment 117714 [details]
navit-9999.ebuild

app-misc/navit/navit-9999.ebuild
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2007-04-30 12:15:04 UTC
- license is incorrect, see /usr/portag/licenses
- ebuild is way too verbose, scrap most of the einfo lines, please.
- why a live scm ebuild sucker? snapshots are preferred.
Comment 3 KaZeR 2007-04-30 13:44:00 UTC
Created attachment 117731 [details]
Updated ebuild with modular_map and sdl branches.
Comment 4 KaZeR 2007-05-01 08:25:23 UTC
Created attachment 117817 [details]
Updated ebuild - some cleanups
Comment 5 KaZeR 2007-05-01 08:29:38 UTC
Hi Carsten, thanks for your comments.

- I fixed the license (LGPL-2)
- I removed most of the verbosity (left only some guidelines at the end)
- Today there's no snapshots of navit. At worst, i can roll a tarball occasionally and update the ebuild accordingly. But i think a live CVS build is still useful for this app, because 1) it eases the installation (dependencies and so) and 2) it also eases the updating, most people don't care about CVS, they just want to try the app even if they know it's not a stable release.

Hope this ebuild id better, i'm still new at this :)
Comment 6 KaZeR 2007-11-03 18:13:29 UTC
Created attachment 135111 [details]
navit ebuild

Updated to handle the new main branch
Comment 7 KaZeR 2007-11-04 01:39:35 UTC
Created attachment 135131 [details]
navit ebuild

Added quesoglc dependancy for sdl gui
Comment 8 Rich 2008-02-18 02:03:22 UTC
Please add xkbd to GTK dependencies for ebuild. I did an install on a fresh Gentoo load, and the GTK GUI barfs on a segfault (here is command line output):

(<unknown>:10556): Gtk-WARNING **: Visible Routegraph: missing action VisibleRouteGraphAction
vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
navit:vehicle_new:vehicletype_new failed
data_binfile:map_new_binfile:file_create /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
magic 0x6054b50
cde_size 60
members 79
0x6054b50
0x2014b50
Using '/usr/share/navit/navit.xml'
xkbd: No such file or directory
0b3ae6b6-c380-b431-269a4d78-62260bdb is dumped
Killed


After installing xkbd, I get this core dump:

(<unknown>:13838): Gtk-WARNING **: Visible Routegraph: missing action VisibleRouteGraphAction
vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
navit:vehicle_new:vehicletype_new failed
data_binfile:map_new_binfile:file_create /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
magic 0x6054b50
cde_size 60
members 79
0x6054b50
0x2014b50
Using '/usr/share/navit/navit.xml'
Sorry - server Keyboard map doesn't contain either 2 or 4 KeySyms per Keycode - unsupported!
5d4572d8-8dba-dd9c-318ae8bb-34398ea0 is dumped


Comment 9 KaZeR 2008-02-18 13:56:31 UTC
Created attachment 143874 [details]
Navit ebuild for cvs code

Updated ebuild for using cvs code. Added xkbd as dependency (thanks Rich for pointing this out).
Comment 10 KaZeR 2008-02-18 13:57:18 UTC
Created attachment 143876 [details]
Navit ebuild for 0.0.4 release

Ebuild for release 0.0.4
Comment 11 Hanno Böck gentoo-dev 2008-02-20 15:21:08 UTC
Created attachment 144109 [details]
navit-0.0.4.ebuild

The previous ebuilds had several issues, I've fixed up various things. Please test.

This one doesn't download a sample map (ebuilds aren't allowed to do downloads). I'll commit this in a few days I think.
Comment 12 Merlijn Hofstra 2008-02-25 18:47:34 UTC
Hanno: Some dependancies are missing, namely x11-misc/xkbd on gtk use flag and app-accessibility/speech-dispatcher on speech use flag.
Comment 13 Rich 2008-02-26 06:16:55 UTC
(In reply to comment #8)
> Please add xkbd to GTK dependencies for ebuild. I did an install on a fresh
> Gentoo load, and the GTK GUI barfs on a segfault (here is command line output):
> 
> (<unknown>:10556): Gtk-WARNING **: Visible Routegraph: missing action
> VisibleRouteGraphAction
> vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
> vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
> navit:vehicle_new:vehicletype_new failed
> data_binfile:map_new_binfile:file_create
> /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
> magic 0x6054b50
> cde_size 60
> members 79
> 0x6054b50
> 0x2014b50
> Using '/usr/share/navit/navit.xml'
> xkbd: No such file or directory
> 0b3ae6b6-c380-b431-269a4d78-62260bdb is dumped
> Killed
> 
> 
> After installing xkbd, I get this core dump:
> 
> (<unknown>:13838): Gtk-WARNING **: Visible Routegraph: missing action
> VisibleRouteGraphAction
> vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
> vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
> navit:vehicle_new:vehicletype_new failed
> data_binfile:map_new_binfile:file_create
> /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
> magic 0x6054b50
> cde_size 60
> members 79
> 0x6054b50
> 0x2014b50
> Using '/usr/share/navit/navit.xml'
> Sorry - server Keyboard map doesn't contain either 2 or 4 KeySyms per Keycode -
> unsupported!
> 5d4572d8-8dba-dd9c-318ae8bb-34398ea0 is dumped
> 

That was my bug, also on Trac on navit-project.org. It seems that at least the GTK version no longer crashes when clicking destination (though, unfortunately, I can't figure out how to get a destination entered via the keyboard...the only thing that comes up in the list is the country). I'm using the planet.bin file from open street maps, BTW. Routing (only by right clicking and setting destination) and speech work very well! This is what I use for my speech directive in navit.xml:  

<speech type="cmdline" data="echo &quot;(SayText \&quot;%s\&quot;)&quot; | festival --pipe" />  

You need to have festival installed (emerge festival) for that to work. I wish I could figure out the directions thing, and the SDL version still crashes when I try to enter an address :(. But at least it is working, for the most part, for the first time since I've seen the project about 8 months ago, and looks to be very promising. As soon as the directions entry is cleaned up and working, I think this is ready to go on the road with me! Thanks!
Comment 14 Merlijn Hofstra 2008-02-26 18:01:00 UTC
(In reply to comment #13)
> (In reply to comment #8)
> > Please add xkbd to GTK dependencies for ebuild. I did an install on a fresh
> > Gentoo load, and the GTK GUI barfs on a segfault (here is command line output):
> > 
> > (<unknown>:10556): Gtk-WARNING **: Visible Routegraph: missing action
> > VisibleRouteGraphAction
> > vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
> > vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
> > navit:vehicle_new:vehicletype_new failed
> > data_binfile:map_new_binfile:file_create
> > /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
> > magic 0x6054b50
> > cde_size 60
> > members 79
> > 0x6054b50
> > 0x2014b50
> > Using '/usr/share/navit/navit.xml'
> > xkbd: No such file or directory
> > 0b3ae6b6-c380-b431-269a4d78-62260bdb is dumped
> > Killed
> > 
> > 
> > After installing xkbd, I get this core dump:
> > 
> > (<unknown>:13838): Gtk-WARNING **: Visible Routegraph: missing action
> > VisibleRouteGraphAction
> > vehicle_gpsd:vehicle_gpsd_open:gps_open failed. Have you started gpsd?
> > vehicle_gpsd:vehicle_gpsd_new_gpsd:Failed to open 'gpsd://localhost'
> > navit:vehicle_new:vehicletype_new failed
> > data_binfile:map_new_binfile:file_create
> > /usr/share/navit/maps/osm_bbox_11.3,47.9,11.7,48.2.bin
> > magic 0x6054b50
> > cde_size 60
> > members 79
> > 0x6054b50
> > 0x2014b50
> > Using '/usr/share/navit/navit.xml'
> > Sorry - server Keyboard map doesn't contain either 2 or 4 KeySyms per Keycode -
> > unsupported!
> > 5d4572d8-8dba-dd9c-318ae8bb-34398ea0 is dumped
> > 
> 
> That was my bug, also on Trac on navit-project.org. It seems that at least the
> GTK version no longer crashes when clicking destination (though, unfortunately,
> I can't figure out how to get a destination entered via the keyboard...the only
> thing that comes up in the list is the country). I'm using the planet.bin file
> from open street maps, BTW. Routing (only by right clicking and setting
> destination) and speech work very well! This is what I use for my speech
> directive in navit.xml:  
> 
> <speech type="cmdline" data="echo &quot;(SayText \&quot;%s\&quot;)&quot; |
> festival --pipe" />  
> 
> You need to have festival installed (emerge festival) for that to work. I wish
> I could figure out the directions thing, and the SDL version still crashes when
> I try to enter an address :(. But at least it is working, for the most part,
> for the first time since I've seen the project about 8 months ago, and looks to
> be very promising. As soon as the directions entry is cleaned up and working, I
> think this is ready to go on the road with me! Thanks!
> 

There was a bug in 0.0.4 that caused this xkbd error if $LANG was not set to a value in the form of xx or xx_XX, this has been resolved in cvs. The destination thing is still a work in progress afaik.
Comment 15 Carsten Lohrke (RETIRED) gentoo-dev 2008-04-05 10:52:33 UTC
*** Bug 216302 has been marked as a duplicate of this bug. ***
Comment 16 Ruben Vandamme 2008-05-01 11:58:04 UTC
Created attachment 151502 [details]
navit ebuild

Added support for the libgarmin ebuild which I submitted today.
(http://bugs.gentoo.org/show_bug.cgi?id=219921)
Comment 17 Dirk-Lüder Kreie 2008-05-27 18:24:25 UTC
Created attachment 154503 [details]
svn ebuild for navit (based on last cvs one)
Comment 18 M. B. 2008-05-31 18:12:43 UTC
Created attachment 154985 [details]
a more tidy svn-ebuild

This is a more correct svn-ebuild. I'm not sure it's error-free, though.
Comment 19 Dirk-Lüder Kreie 2008-06-02 16:14:07 UTC
(In reply to comment #18)
> Created an attachment (id=154985) [edit]
> a more tidy svn-ebuild
> 
> This is a more correct svn-ebuild. I'm not sure it's error-free, though.
> 

This one misses cvs which was a build-time dependency at the time I did my quick and dirty svn ebuild. Have you checked against this?
Comment 20 Thomas Anderson (tanderson) (RETIRED) gentoo-dev 2008-06-14 10:55:37 UTC
A cleaned up ebuild of the proposed ebuilds here is now in the sunrise overlay. You can find it at:
http://overlays.gentoo.org/svn/proj/sunrise/reviewed/app-misc/navit

(after it is put in the public branch)
Comment 21 KaZeR 2008-08-26 08:12:21 UTC
Comment on attachment 143874 [details]
Navit ebuild for cvs code

Navit switched to svn some weeks ago.
Comment 22 Thomas Anderson (tanderson) (RETIRED) gentoo-dev 2008-08-26 10:58:37 UTC
There are ebuilds in the sunrise overlay for this package and libgarmin as well. If you guys have improvements, would you email them to me or catch me on IRC so we can have all the features merged into one place.(Yes the sunrise ebuilds use SVN).
Comment 23 KaZeR 2008-08-27 13:07:30 UTC
Created attachment 163893 [details]
Updated ebuild from sunrise. CVS is needed by autopoint to compile

I tested the ebuild from sunrise overlay, but it misses cvs as dependency, which is required by autopoint.
Comment 24 Rich 2009-01-30 19:49:29 UTC
Created attachment 180309 [details]
New ebuild for Navit (makes clutter a use flag, makes current version compile)

Since the introduction of the clutter GUI stub in the Navit source, by default Navit brings in clutter as a dependency by default; I would love to see the clutter GUI in action as I think that clutter is a big step in the right direction for a general purpose rich, accelerated drawing canvas. The version of clutter that Navit brings in as a dependency is out of date (I have 0.86 on my box, and the navit makes deprecated calls, making the build fail). Also, the samplemap use flag (hard coded into the ebuild) was causing the build to barf, so I added it as a use flag on the ebuild, as well as the qt flag. Give it a look, and let me know if it works. Thanks!

-Rich
Comment 25 Oldie 2009-02-13 15:06:59 UTC
Please note the 2009-01-30 ebuild has:
KEYWORDS="~amd64"

IMHO it should be:
KEYWORDS="~amd64 ~x86"
(As it was in  past ebuilds)
Anyway it works for me. (don't forget to do "ebuild navit-9999.ebuild digest" after editing). 
Tks,
Oldie
Comment 26 Aelia 2009-07-18 12:55:22 UTC
Created attachment 198417 [details]
new ebuild for navit

Here, I made a new ebuild for navit, it drops some unneeded deps and adds a lot of new USEs nearly every option in the configure script has become a USE.

I haven't tested every USE flag possibilities but already found that freetype is needed if sdl is set (already check for this in the ebuild).
Comment 27 jannis 2009-07-18 23:19:36 UTC
(In reply to comment #26)

I tried the ebuild but I'm missing a patch here:
 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/portage/x11-misc/navit/files/navit-9999-configure-speech-dispatcher.patch
 *   ( navit-9999-configure-speech-dispatcher.patch )

Did I miss something? Where do I get it?
Comment 28 Ralph Sennhauser (RETIRED) gentoo-dev 2009-10-15 07:28:13 UTC
Created attachment 207185 [details]
Ebuild for live, snapshots and releases.
Comment 29 Ralph Sennhauser (RETIRED) gentoo-dev 2009-10-15 07:36:23 UTC
A few comments to the ebuild:
-Not all useflag combinations are tested.
-"ln -s navit-9999.ebuild navit-9999_p2500.ebuild" gives a snapshot ebuild for rev 2500.
-"ln -s navit-9999.ebuild navit-0.1.1.ebuild" gives a release ebuild for 0.1.1.
-patches with the gentoo name convention with suffix .patch residing in the filesdir are applied automatically.
Comment 30 Thomas Sachau gentoo-dev 2009-12-18 23:20:48 UTC
@Hanno: Can you either reassign it to maintainer-wanted or commit it to main tree?
Comment 31 KaZeR 2010-01-19 12:24:52 UTC
I second Thomas's request :)
Comment 32 Gene Imes 2010-01-21 18:59:17 UTC
(In reply to comment #27)
> (In reply to comment #26)
> 
> I tried the ebuild but I'm missing a patch here:
>  * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
>  *
>  *  
> /usr/local/portage/x11-misc/navit/files/navit-9999-configure-speech-dispatcher.patch
>  *   ( navit-9999-configure-speech-dispatcher.patch )
> 
> Did I miss something? Where do I get it?
> 

Where does this patch reside?

Thanks,

Gene
Comment 33 KaZeR 2010-02-05 21:33:14 UTC
Created attachment 218579 [details]
Navit ebuild for svn

Another ebuild based upons Ralph Sennhauser's one, with some minor tweaks : 
- added ~x86
- removed patch which wasn't published
- removed references to the clutter (sdl) gui which has been deprecated
- emphased the vector maps in the description

This ebuilds works for me.
Comment 34 KaZeR 2010-02-05 21:36:09 UTC
Attachment #180309 [details] is obsolete, clutter gui has been deprecated.
Comment 35 jannis 2010-02-06 10:19:29 UTC
Just FYI: Newest ebuild by KaZeR tested on ~amd64 and working fine. Thanks for the new ebuild.
Comment 36 KaZeR 2010-04-23 08:57:40 UTC
Hanno (or someone else :) ) : could we get a status update please?
What's blocking this ebuild from being merged into the tree?

Thanks.
Comment 37 Florian Knodt 2010-06-25 08:38:49 UTC
Created attachment 236469 [details]
Navit ebuild for svn

Changed dev-util/cvs and subversion to new category name dev-vcs
Comment 38 Jan Boros 2011-02-06 22:54:58 UTC
I am running Gnome 2.32.1
I had to change librsvg USE flag in latest navti ebuild, otherwise I was not able to emerge because wrong dependencies 
here is my part

DEPEND="${COMMON_DEPEND}
    dev-vcs/cvs
    dev-util/pkgconfig
    || (
        dev-vcs/subversion[webdav-neon]
        dev-vcs/subversion[webdav-serf]
    )
    sys-devel/gettext
    svg2png? (
        || (
            gnome-base/librsvg
            media-gfx/imagemagick[svg,png,xml]
            media-gfx/inkscape
            kde-base/kdelibs
        )
    )"
Comment 39 renato gallo 2012-03-18 16:26:14 UTC
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../.. -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I../../../navit -DMODULE=vehicle_gpsd -O2 -pipe -march=native -Wall -Wcast-align -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wreturn-type -D_GNU_SOURCE -ffast-math -MT vehicle_gpsd.lo -MD -MP -MF .deps/vehicle_gpsd.Tpo -c vehicle_gpsd.c  -fPIC -DPIC -o .libs/vehicle_gpsd.o
vehicle_gpsd.c: In function 'vehicle_gpsd_callback':
vehicle_gpsd.c:122:24: error: 'struct gps_data_t' has no member named 'satellites'
vehicle_gpsd.c:128:40: error: 'struct gps_data_t' has no member named 'satellites'
vehicle_gpsd.c:137:69: error: 'struct gps_data_t' has no member named 'satellites'
vehicle_gpsd.c:143:21: error: 'struct gps_data_t' has no member named 'satellites'
vehicle_gpsd.c:168:18: error: 'PDOP_SET' undeclared (first use in this function)
vehicle_gpsd.c:168:18: note: each undeclared identifier is reported only once for each function it appears in
vehicle_gpsd.c:169:3: error: 'struct gps_data_t' has no member named 'pdop'
vehicle_gpsd.c:170:20: error: 'struct gps_data_t' has no member named 'hdop'
vehicle_gpsd.c: In function 'vehicle_gpsd_try_open':
vehicle_gpsd.c:226:2: warning: implicit declaration of function 'gps_query'
vehicle_gpsd.c:234:34: warning: cast to pointer from integer of different size
vehicle_gpsd.c: In function 'vehicle_gpsd_io':
vehicle_gpsd.c:321:23: warning: assignment discards qualifiers from pointer target type
vehicle_gpsd.c:322:14: error: too few arguments to function 'vehicle_gpsd_callback'
vehicle_gpsd.c:75:1: note: declared here
make[5]: *** [vehicle_gpsd.lo] Error 1
make[5]: Leaving directory `/var/tmp/portage/app-misc/navit-9999/work/navit-9999/navit/vehicle/gpsd'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/portage/app-misc/navit-9999/work/navit-9999/navit/vehicle'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/app-misc/navit-9999/work/navit-9999/navit'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/app-misc/navit-9999/work/navit-9999/navit'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-misc/navit-9999/work/navit-9999'
make: *** [all] Error 2
emake failed
 * ERROR: app-misc/navit-9999 failed (compile phase):
 *   emake failed
 * 
 * Call stack:
 *          ebuild.sh, line   85:  Called src_compile
 *        environment, line 2602:  Called _eapi2_src_compile
 *   phase-helpers.sh, line  577:  Called die
 * The specific snippet of code:
 *   		emake || die "emake failed"
 * 
 * If you need support, post the output of 'emerge --info =app-misc/navit-9999',
 * the complete build log and the output of 'emerge -pqv =app-misc/navit-9999'.
 * The complete build log is located at '/var/tmp/portage/app-misc/navit-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-misc/navit-9999/temp/environment'.
 * S: '/var/tmp/portage/app-misc/navit-9999/work/navit-9999'
Comment 40 renato gallo 2012-03-18 17:47:22 UTC
exporting PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/lib64/pkgconfig/

solved the compilation problem
Comment 41 Jeroen Roovers gentoo-dev 2012-03-20 16:19:18 UTC
*** Bug 408741 has been marked as a duplicate of this bug. ***
Comment 42 Jeroen Roovers gentoo-dev 2012-03-20 16:20:06 UTC
(In reply to comment #40)
> exporting PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/lib64/pkgconfig/
> 
> solved the compilation problem

That looks like a problem in sci-geosciences/gpsd.
Comment 43 Jeroen Roovers gentoo-dev 2012-03-20 16:21:46 UTC
(In reply to comment #42)
> (In reply to comment #40)
> > exporting PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/lib64/pkgconfig/
> > 
> > solved the compilation problem
> 
> That looks like a problem in sci-geosciences/gpsd.

Bug #408741.
Comment 44 KaZeR 2012-03-28 14:51:30 UTC
The ebuild has been around for ~5 years, with various reports of user success.
What's blocking it from being merged into the main tree?
Thanks in advance.
Comment 45 KaZeR 2012-04-06 15:55:25 UTC
I'm politely bumping my request.
Comment 46 KaZeR 2012-05-31 09:59:19 UTC
I'm bumping my request.
Comment 47 renato gallo 2012-08-13 10:01:45 UTC
I am also politely bumping Kazer's request
Comment 48 Russell Knighton 2012-10-20 18:54:44 UTC
Additional polite *bump*

I've been using this for about 3 years now, and it's been working fine...
Comment 49 Yixun Lan gentoo-dev 2014-07-17 07:18:44 UTC
re-assign to @maintainer-wanted in case someone interested in this..


Hello, 

This package has no maintainer so this bug may go unnoticed for a long time.
Gentoo has a dedicated team[1] for assisting users in maintaining orphaned
packages. If you are interested in maintaining this package, please contact
proxy-maint@gentoo.org. 

[1]: https://wiki.gentoo.org/index.php?title=Project:Proxy_Maintainers

Kind regards,

dlan
Comment 50 Yixun Lan gentoo-dev 2014-07-17 10:04:12 UTC
Created attachment 380882 [details]
ebuild refreshed
Comment 51 jannis 2015-08-27 04:50:53 UTC
The repository at https://github.com/navit-gps/navit includes the fix for latest versions of gpsd (see http://trac.navit-project.org/ticket/1284). However, I don't know if it's an official repository (it's not mentioned anywhere on the project's homepage or wiki) or some fork.
Furthermore, upstream seems to have switched to cmake.
Comment 52 KaZeR 2015-08-27 22:00:29 UTC
Hi. I'm one of the members of the project.
We did indeed switch to Github a few weeks ago.
We are in the process of revamping the website and we will do a batch update ( 0.5 + new website + announce of the code relocation ).

The official code repository is now https://github.com/navit-gps/navit 

Also, we indeed switched to cmake now.
Comment 53 Russell Knighton 2016-04-11 17:01:13 UTC
Created attachment 430162 [details]
navit-9999.ebuild

New live ebuild for navit, which now uses the git-r3 eclass and sources from github, and I have also switched it to the cmake system. (Works too for tagged versions i.e. if saved as navit-0.5.0.ebuild)

I haven't implemented all of the same use flags like Yixun Lan did, but I have slightly increased the number of use flags (as per the original sunrise ebuild, that this is based on).

I have not thoroughly tested all use flag combinations, but I do include a patch that was required to build navit with speech-dispatcher support.
Comment 54 Russell Knighton 2016-04-11 17:02:46 UTC
Created attachment 430164 [details, diff]
navit-speech-header-location.patch

Patch to allow building with our current speech-distributer header location, needed by new ebuild.
Comment 55 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:47:34 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/
Comment 56 ilovekiruna 2017-09-08 18:23:05 UTC
The navit project changed the README filename from README to README.md. As src_install expects a not existing README file it breaks. I corrected name of README file and updated the ebuild to recover the installation process.
Comment 57 ilovekiruna 2017-09-08 18:23:57 UTC
Created attachment 493386 [details]
updated ebuild to reflect name change of README file
Comment 58 ilovekiruna 2017-09-08 18:26:30 UTC
Created attachment 493388 [details]
navit-9999.ebuild
Comment 59 Martin Mokrejš 2018-06-23 15:49:42 UTC
It fails for me currently with:

...
-- Found OpenGL: /usr/lib/libGL.so   
-- Found GLUT: /usr/lib/libglut.so  
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- Found GTK2: /usr/lib/libgtk-x11-2.0.so;/usr/lib/libgdk-x11-2.0.so;/usr/lib/libgdk_pixbuf-2.0.so;/usr/lib/libgmodule-2.0.so;/usr/lib/libgthread-2.0.so;/usr/lib/libgobject-2.0.so;/usr/lib/libpango-1.0.so;/usr/lib/libpangocairo-1.0.so;/usr/lib/libatk-1.0.so
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1") 
-- Found PNG: /usr/lib/libpng.so (found version "1.6.34+apng") 
-- Checking for module 'dbus-1'
--   Found dbus-1, version 1.12.8
-- Found DBus 
-- Checking for module 'dbus-glib-1'
--   Found dbus-glib-1, version 0.110
-- Found DBusGLib 
-- Found PythonLibs: /usr/lib/libpython2.7.so (found version "2.7.14") 
-- Checking for module 'fontconfig'
--   Found fontconfig, version 2.13.0
-- Found espeak 
CMake Error at CMakeLists.txt:183 (find_package):
  By not providing "FindQt5Sensors.cmake" in CMAKE_MODULE_PATH this project
  has asked CMake to find a package configuration file provided by
  "Qt5Sensors", but CMake did not find one.

  Could not find a package configuration file provided by "Qt5Sensors" with
  any of the following names:

    Qt5SensorsConfig.cmake
    qt5sensors-config.cmake

  Add the installation prefix of "Qt5Sensors" to CMAKE_PREFIX_PATH or set
  "Qt5Sensors_DIR" to a directory containing one of the above files.  If
  "Qt5Sensors" provides a separate development package or SDK, be sure it has
  been installed.


-- Configuring incomplete, errors occurred!
See also "/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/CMakeFiles/CMakeOutput.log".
See also "/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/CMakeFiles/CMakeError.log".
 * ERROR: sci-geosciences/navit-9999::x-portage failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure
 *   environment, line 3523:  Called cmake-utils_src_configure
 *   environment, line 1222:  Called die


I installed dev-qt/qtsensors and it helped.
Comment 60 Martin Mokrejš 2018-06-23 18:11:59 UTC
Another issue is:

[  1%] Building C object navit/graphics/egl/CMakeFiles/graphics_egl.dir/graphics_egl.c.o
cd /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/navit/graphics/egl && /usr/bin/x86_64-pc-linux-gnu-gcc -DBIN_DIR=\"bin\" -DIMAGE_DIR=\"share/navit/icons\" -DLIB_DIR=\"lib64/navit\" -DLOCALE_DIR=\"share/locale\" -DMAN_DIR=\"share/man/man1\" -DMODULE=graphics_egl -DSHARE_DIR=\"share/navit\" -Dgraphics_egl_EXPORTS -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -isystem /usr/include/gtk-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/navit -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/zlib -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/libpng -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/font/freetype -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/gtk_drawing_area -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/opengl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/qt5 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/gui/qt5_qml -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/gui/gtk -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/gpsd -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/binding/dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/binding/python -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/cmdline -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/qt5_espeak -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/gpsd_dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/qt5 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/null -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/osd/core -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/file -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/binfile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/filter -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/mg -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/shapefile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/textfile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/csv -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/fib-1.1   -DNDEBUG -O2 -pipe -mpclmul -mpopcnt -march=native -ftree-vectorize -Wall -Wundef -Wcast-align -Wpointer-arith -Wno-unused-parameter -Wno-sign-compare -Wno-missing-field-initializers  -Wextra  -Wmissing-prototypes  -Wstrict-prototypes  -Wformat-security  -fPIC   -fPIC   -o CMakeFiles/graphics_egl.dir/graphics_egl.c.o -c /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl/graphics_egl.c
In file included from /usr/include/SDL2/SDL_config.h:10:0,
                 from /usr/include/SDL2/SDL_stdinc.h:31,
                 from /usr/include/SDL2/SDL_main.h:25,
                 from /usr/include/SDL2/SDL.h:32,
                 from /usr/include/SDL2/SDL_image.h:27,
                 from /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl/graphics_egl.c:41:
/usr/include/x86_64-pc-linux-gnu/SDL2/SDL_config.h:33:10: fatal error: SDL_platform.h: No such file or directory
 #include "SDL_platform.h"
          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [navit/graphics/egl/CMakeFiles/graphics_egl.dir/build.make:63: navit/graphics/egl/CMakeFiles/graphics_egl.dir/graphics_egl.c.o] Error 1
make[2]: Leaving directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
make[1]: *** [CMakeFiles/Makefile2:839: navit/graphics/egl/CMakeFiles/graphics_egl.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  1%] Linking C shared module .libs/libgraphics_gtk_drawing_area.so
cd /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/navit/graphics/gtk_drawing_area && /usr/bin/cmake -E cmake_link_script CMakeFiles/graphics_gtk_drawing_area.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-gcc -fPIC -O2 -pipe -mpclmul -mpopcnt -march=native -ftree-vectorize -Wall -Wundef -Wcast-align -Wpointer-arith -Wno-unused-parameter -Wno-sign-compare -Wno-missing-field-initializers  -Wextra  -Wmissing-prototypes  -Wstrict-prototypes  -Wformat-security  -Wl,-O1 -Wl,--as-needed -shared  -o .libs/libgraphics_gtk_drawing_area.so CMakeFiles/graphics_gtk_drawing_area.dir/graphics_gtk_drawing_area.c.o -lgtk-x11-2.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgmodule-2.0 -lgthread-2.0 -lgobject-2.0 -lpango-1.0 -lpangocairo-1.0 -latk-1.0 
make[2]: Leaving directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
[  1%] Built target graphics_gtk_drawing_area
make[1]: Leaving directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
make: *** [Makefile:152: all] Error 2
 * ERROR: sci-geosciences/navit-9999::x-portage failed (compile phase):
 *   emake failed


# emerge -pv navit

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    *] sci-geosciences/navit-9999::x-portage  USE="dbus gps gtk nls opengl png python svg zlib -demo -espeak -garmin -maptool -sdl -speechd" 0 KiB



# USE="sdl" emerge navit -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-games/cegui-0.8.7::gentoo  USE="opengl pcre python truetype xml -bidi -debug -devil -doc -expat -freeimage -irrlicht -lua -ogre -static-libs -tinyxml -xerces-c -zip" PYTHON_TARGETS="python2_7" 17690 KiB
[ebuild  N     ] media-libs/quesoglc-0.7.2::gentoo  USE="-doc -examples -static-libs" 642 KiB
[ebuild  N     ] media-libs/sdl-image-1.2.12-r2::gentoo  USE="jpeg png tiff -gif -static-libs -webp" ABI_X86="32 (64) (-x32)" 2179 KiB
[ebuild  N    *] sci-geosciences/navit-9999::x-portage  USE="dbus gps gtk nls opengl png python sdl svg zlib -demo -espeak -garmin -maptool -speechd" 0 KiB

Total: 4 packages (4 new), Size of downloads: 20511 KiB


I emerged all the SDL-related deps and this time enabled USE=sdl but the issue persisted.

So I came to https://github.com/omf2097/openomf/issues/350

# equery belongs SDL_config.h
 * Searching for SDL_config.h ... 
media-libs/libsdl-1.2.15-r9 (/usr/include/SDL/SDL_config.h)
media-libs/libsdl2-2.0.7 (/usr/include/SDL2/SDL_config.h)
media-libs/libsdl2-2.0.7 (/usr/include/i686-pc-linux-gnu/SDL2/SDL_config.h)
media-libs/libsdl2-2.0.7 (/usr/include/x86_64-pc-linux-gnu/SDL2/SDL_config.h)
#

# equery belongs SDL_platform.h
 * Searching for SDL_platform.h ... 
media-libs/libsdl-1.2.15-r9 (/usr/include/SDL/SDL_platform.h)
media-libs/libsdl2-2.0.7 (/usr/include/SDL2/SDL_platform.h)
#


I had to patch the ebuild and add spaces on these lines:

    if use dbus; then
        mycmakeargs+=" -Dspeech/dbus=\"$(usex speechd)\""
        mycmakeargs+=" -Dvehicles/gpsd_dbus=\"$(usex gps)\""
    fi
    if use speechd; then
        mycmakeargs+=" -DEXTRA_INCLUDES=\"/usr/include/speech-dispatcher/\""
    fi
    if use sdl; then
        mycmakeargs+=" -DEXTRA_INCLUDES=\"/usr/include/SDL2/\""
    fi

otherwise they appeared concatenated to previous arguments. Still, the last DEXTRA_INCLUDES trick does not propagate for me to the probalematic line:

make -f navit/graphics/egl/CMakeFiles/graphics_egl.dir/build.make navit/graphics/egl/CMakeFiles/graphics_egl.dir/build
make[2]: Entering directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
[  4%] Building C object navit/graphics/egl/CMakeFiles/graphics_egl.dir/graphics_egl.c.o
cd /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/navit/graphics/egl && /usr/bin/x86_64-pc-linux-gnu-gcc -DBIN_DIR=\"bin\" -DIMAGE_DIR=\"share/navit/icons\" -DLIB_DIR=\"lib64/navit\" -DLOCALE_DIR=\"share/locale\" -DMAN_DIR=\"share/man/man1\" -DMODULE=graphics_egl -DSHARE_DIR=\"share/navit\" -Dgraphics_egl_EXPORTS -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -isystem /usr/include/gtk-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build/navit -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/zlib -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/libpng -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/font/freetype -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/gtk_drawing_area -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/opengl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/sdl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/qt5 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/gui/qt5_qml -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/gui/gtk -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/gpsd -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/binding/dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/binding/python -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/cmdline -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/speech/qt5_espeak -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/gpsd_dbus -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/qt5 -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/null -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/osd/core -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/vehicle/file -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/gui/internal -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/binfile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/filter -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/mg -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/shapefile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/textfile -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/map/csv -I/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/fib-1.1   -DNDEBUG -O2 -pipe -mpclmul -mpopcnt -march=native -ftree-vectorize -Wall -Wundef -Wcast-align -Wpointer-arith -Wno-unused-parameter -Wno-sign-compare -Wno-missing-field-initializers  -Wextra  -Wmissing-prototypes  -Wstrict-prototypes  -Wformat-security  -fPIC   -fPIC   -o CMakeFiles/graphics_egl.dir/graphics_egl.c.o -c /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl/graphics_egl.c
In file included from /usr/include/SDL2/SDL_config.h:10:0,
                 from /usr/include/SDL2/SDL_stdinc.h:31,
                 from /usr/include/SDL2/SDL_main.h:25,
                 from /usr/include/SDL2/SDL.h:32,
                 from /usr/include/SDL2/SDL_image.h:27,
                 from /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/graphics/egl/graphics_egl.c:41:
/usr/include/x86_64-pc-linux-gnu/SDL2/SDL_config.h:33:10: fatal error: SDL_platform.h: No such file or directory
 #include "SDL_platform.h"
          ^~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [navit/graphics/egl/CMakeFiles/graphics_egl.dir/build.make:63: navit/graphics/egl/CMakeFiles/graphics_egl.dir/graphics_egl.c.o] Error 1
make[2]: Leaving directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
make[1]: *** [CMakeFiles/Makefile2:900: navit/graphics/egl/CMakeFiles/graphics_egl.dir/all] Error 2
make[1]: Leaving directory '/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999_build'
make: *** [Makefile:152: all] Error 2
 * ERROR: sci-geosciences/navit-9999::x-portage failed (compile phase):
 *   emake failed
Comment 61 Martin Mokrejš 2018-06-23 18:23:11 UTC
Hmm, update to media-libs/libsdl2-2.0.8-r2 fixed the above too (tested only with the modified ebuild).
Comment 62 Martin Mokrejš 2018-06-23 18:30:11 UTC
-- Installing: /scratch/var/tmp/portage/sci-geosciences/navit-9999/image/usr/share/locale/vi/LC_MESSAGES/navit.mo
-- Installing: /scratch/var/tmp/portage/sci-geosciences/navit-9999/image/usr/share/locale/zh_CN/LC_MESSAGES/navit.mo
-- Installing: /scratch/var/tmp/portage/sci-geosciences/navit-9999/image/usr/share/locale/zh_HK/LC_MESSAGES/navit.mo
-- Installing: /scratch/var/tmp/portage/sci-geosciences/navit-9999/image/usr/share/locale/zh_TW/LC_MESSAGES/navit.mo
Traceback (most recent call last):
  File "/usr/lib/portage/python2.7/doins.py", line 611, in <module>
    sys.exit(main(sys.argv[1:]))
  File "/usr/lib/portage/python2.7/doins.py", line 602, in main
    os.path.dirname(source)):
  File "/usr/lib/portage/python2.7/doins.py", line 450, in _doins
    return install_runner.install_file(source, os.path.dirname(dest))
  File "/usr/lib/portage/python2.7/doins.py", line 386, in install_file
    return self._ins_runner.run(source, dest_dir)
  File "/usr/lib/portage/python2.7/doins.py", line 195, in run
    sstat = os.stat(source)
OSError: [Errno 2] No such file or directory: 'ChangeLog'
 * ERROR: sci-geosciences/navit-9999::x-portage failed (install phase):
 *   dodoc failed
 * 
 * If you need support, post the output of `emerge --info '=sci-geosciences/navit-9999::x-portage'`,
 * the complete build log and the output of `emerge -pqv '=sci-geosciences/navit-9999::x-portage'`.


# find /scratch/var/tmp/portage/sci-geosciences/navit-9999/ -name ChangeLog
/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl/ChangeLog
/scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/tools/gpx2navit_txt/ChangeLog
#

Hmm, the ChangeLog changed into CHANGELOG.md. The line in ebuild should look like


DOCS=( AUTHORS CHANGELOG.md README.md )




And I am done with installation, thanks!



Minor issues:

>>> Completed installing navit-9999 into /scratch/var/tmp/portage/sci-geosciences/navit-9999/image/

 * Final size of build directory: 68220 KiB (66.6 MiB)
 * Final size of installed tree:  17548 KiB (17.1 MiB)

 * One or more CMake variables were not used by the project:
 *   vehicles/gpsd

 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl/localcharset.c:128:23: warning: incompatible implicit declaration of built-in function 'malloc'
 * /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl/localcharset.c:176:24: warning: incompatible implicit declaration of built-in function 'malloc'
 * /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl/localcharset.c:181:24: warning: incompatible implicit declaration of built-in function 'realloc'
 * /scratch/var/tmp/portage/sci-geosciences/navit-9999/work/navit-9999/navit/support/gettext_intl/localcharset.c:203:2: warning: incompatible implicit declaration of built-in function 'free'

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://www.navit-project.org
ecompressdir: bzip2 -9 /usr/share/man
ecompressdir: bzip2 -9 /usr/share/doc

>>> Installing (1 of 1) sci-geosciences/navit-9999::x-portage
 * QA Notice: new icons were found installed but GTK+ icon cache
 * has not been updated:
 *   /usr/share/icons/hicolor/256x256/apps/navit.png
 *   /usr/share/icons/hicolor/86x86/apps/navit.png
 *   /usr/share/icons/hicolor/22x22/apps/navit.png
 *   /usr/share/icons/hicolor/128x128/apps/navit.png
 *   /usr/share/icons/hicolor/108x108/apps/navit.png
 * Please make sure to call gnome2_icon_cache_update()
 * in pkg_postinst() and pkg_postrm() phases of appropriate pkgs.

>>> Recording sci-geosciences/navit in "world" favorites file...
>>> Auto-cleaning packages...